components:
  schemas:
    Redundancy_v1_0_0_Redundancy:
      additionalProperties: false
      description: This is the redundancy definition to be used in other resource
        schemas.
      properties:
        MaxNumSupported:
          description: This is the maximum number of members allowable for this particular
            redundancy group.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall contain the maximum
            number of members allowed in the redundancy group.
        MemberId:
          description: This is the identifier for the member within the collection.
          type: string
          x-longDescription: The value of this string shall uniquely identify the
            member within the collection.
        MinNumNeeded:
          description: This is the minumum number of members needed for this group
            to be redundant.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall contain the minimum
            number of members allowed in the redundancy group for the current redundancy
            mode to still be fault tolerant.
        Mode:
          $ref: '#/components/schemas/Redundancy_v1_0_0_RedundancyMode'
          description: This is the redundancy mode of the group.
          nullable: true
          readOnly: true
          x-longDescription: The value of this property shall contain the information
            about the redundancy mode of this manager.  Failover shall indicate a
            master/slave type arrangement where status indicates the role of this
            manager.  N+1 indicates an arrangement where the redundancy set needs
            MaxNumSupported-1 number of resources in order to be redundant.  Load
            Balanced indicates all members are active. However, there functionality
            is not independent of each other. Their functioning is determined by some
            sort of load balancing algorithm. Sparing is implied (i.e. each member
            can be a spare for the other(s). Sparing indicates that all members are
            active and are aware of each others. However, their functionality is independent
            until failover. Each member can be a spare for the other(s). Limited Sparing
            indicates that all members are active, and they may or may not be aware
            of each and they are not spares for each other.
        Name:
          description: The name of the resource or array element.
          readOnly: true
          type: string
          x-longDescription: This object represents the Name property.  All values
            for resources described by this schema shall comply to the requirements
            as described in the Redfish specification. The value of this string shall
            be of the format for the reserved word *Name*.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        RedundancySet:
          description: Contains any ids that represent components of this redundancy
            set.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_idRef
          readOnly: true
          type: array
          x-longDescription: The value of this property shall contain the ids of components
            that are part of this redundancy set. The id values may or may not be
            dereferenceable.
        RedundancySet@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_count
        RedundancySet@odata.navigationLink:
          format: uri
          type: string
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
      required:
      - Name
      - Mode
      - MaxNumSupported
      - MinNumNeeded
      - Status
      - RedundancySet
      type: object
      x-longDescription: This object represents the Redundancy element property.  All
        values for resources described by this schema shall comply to the requirements
        as described in the Redfish specification.  The value of this string shall
        be of the format for the reserved word *Redundancy*
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Redundancy_v1_0_0_RedundancyMode:
      enum:
      - Failover
      - N+m
      - Sharing
      - Sparing
      type: string
      x-enumDescriptions:
        Failover: Failure of one unit will automatically cause its functions to be
          taken over by a standby or offline unit in the redundancy set
        N+m: Multiple units are available and active such that normal operation will
          continue if one or more units fail
        Sharing: Multiple units contribute or share such that operation will continue,
          but at a reduced capacity, if one or more units fail
        Sparing: One or more spare units are available to take over the function of
          a failed unit, but takeover is not automatic
title: '#Redundancy.v1_0_0'
x-copyright: Copyright 2014-2016 Distributed Management Task Force, Inc. (DMTF). For
  the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
